Debian Bug report logs - #500626
xserver-xorg-video-glamo: big GTK+ fonts

version graph

Package: xserver-xorg-video-glamo; Maintainer for xserver-xorg-video-glamo is Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>; Source for xserver-xorg-video-glamo is src:xf86-video-glamo.

Reported by: Timo Juhani Lindfors <timo.lindfors@iki.fi>

Date: Mon, 29 Sep 2008 20:33:02 UTC

Severity: normal

Tags: upstream, wontfix

Found in version 0.0.0+20090224.git703acea1-1

Fixed in version xf86-video-glamo/0.0.0+20090224.git703acea1-2

Done: Luca Capello <luca@pca.it>

Bug is archived. No further changes may be made.

Forwarded to http://thread.gmane.org/gmane.comp.handhelds.openmoko.framework/94

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, pkg-fso-maint@lists.alioth.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Mon, 29 Sep 2008 20:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
New Bug report received and forwarded. Copy sent to pkg-fso-maint@lists.alioth.debian.org, unknown-package@qa.debian.org. (Mon, 29 Sep 2008 20:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xserver-xglamo: fonts are very large in e.g. midori
Date: Mon, 29 Sep 2008 23:29:43 +0300
Package: xserver-xglamo
Version: 1.3.0.0+git20080807-2
Severity: normal

With xserver-xglamo (and matchbox-window-manager) fonts in midori are
very large. For example when I open the file menu the "quit" option is
outside screen. xpdyinfo reports

dimensions:    480x640 pixels (43x58 millimeters)
  resolution:    284x280 dots per inch

which is probably correct so maybe we need some GTK option to use
smaller fonts? Under xserver-xorg-video-fbdev xpdyinfo reports

  dimensions:    640x480 pixels (169x127 millimeters)
  resolution:    96x96 dots per inch

and the fonts look ok. I seem to be able to set this fake DPI value
with xserver-xglamo by using

-dpi 96

in /etc/X11/xinit/xserverrc -- maybe that should be the default so
that glamo would work consistently in the same way fbdev does?




Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Mon, 29 Sep 2008 22:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 29 Sep 2008 22:03:05 GMT) Full text and rfc822 format available.

Message #10 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>
Cc: 500626@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Mon, 29 Sep 2008 23:57:52 +0200
[Message part 1 (text/plain, inline)]
user pkg-fso-maint@lists.alioth.debian.org
usertag 500626 + config-xglamo
thanks

Hi Timo!

Let's move to smartphones-userland, pkg-fso-maint@l.a.d is ATM only used
for packaging stuff :-D

On Mon, 29 Sep 2008 22:29:43 +0200, Timo Juhani Lindfors wrote:
> With xserver-xglamo (and matchbox-window-manager) fonts in midori are
> very large.

Something was already discussed at [1], at least now we've the same
problem: huge fonts.

> xpdyinfo reports
>
> dimensions:    480x640 pixels (43x58 millimeters)
>   resolution:    284x280 dots per inch

When have you launched xdpyinfo?  I discovered the following:

1) at boot I get 75x75, fonts are a bit smaller, but still OK

2) `xrandr -s [0|1]` changes to 284x280, the same with `xrandr -o [0|2]`

3) `xranrd -o [1|3]` changes to 378x210

4) `xrandr -s [2|3]` changes to 142x140

Then, I can go back to 75x75 anymore, i.e. `xrandr --dpi 75` doesn't
have any effect.  Timo, do you have the same?

FWIW, xrandr doesn't work with X.org, so I cannot test it :-(

> which is probably correct so maybe we need some GTK option to use
> smaller fonts?

I'd like the same values for both Xglamo and X.Org.

> Under xserver-xorg-video-fbdev xpdyinfo reports
>
>   dimensions:    640x480 pixels (169x127 millimeters)
>   resolution:    96x96 dots per inch
>
> and the fonts look ok.

AFAIK something around 100x100 is the standard, but I'm not really an
expert on this subject.

> I seem to be able to set this fake DPI value with xserver-xglamo by
> using
>
> -dpi 96
>
> in /etc/X11/xinit/xserverrc -- 

ATM I'd prefer to specify it into /etc/init.d/zhone-session;
--8<---------------cut here---------------start------------->8---
--- zhone-session.ORG   2008-09-29 23:52:57.000000000 +0200
+++ zhone-session       2008-09-29 23:53:04.000000000 +0200
@@ -17,7 +17,7 @@
 PROG_FSO=/usr/bin/zhone-session
 PROG_XSESSION=/etc/X11/Xsession
 PROG_XINIT=/usr/bin/xinit
-X_OPTIONS="vt4 -nolisten tcp"
+X_OPTIONS="vt4 -nolisten tcp -dpi 96"
 PIDDIR=/var/run/
 PIDFILE=${PIDDIR}/${NAME}.pid
 USER=root
--8<---------------cut here---------------end--------------->8---

However, as soon as you use xrandr, these values change for the bad :-(

> maybe that should be the default so that glamo would work consistently
> in the same way fbdev does?

FSO X (Xglamo or Xfbdev) is started with the following settings,,
specified in /etc/X11/Xserver:96:

  ARGS="$ARGS -dpi 285 -screen 480x640 [...]" ;;

This means that the value we obtain after the first xrandr command is
"correct".  However, I don't understand why it specifies 285 DPI.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://projects.linuxtogo.org/pipermail/smartphones-standards/2008-August/000390.html
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `xserver-xglamo' to `xorg'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Tue, 30 Sep 2008 05:18:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#500626; Package xorg. (Tue, 30 Sep 2008 05:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael 'Mickey' Lauer <mickey@vanille-media.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 30 Sep 2008 05:57:03 GMT) Full text and rfc822 format available.

Message #17 received at 500626@bugs.debian.org (full text, mbox):

From: Michael 'Mickey' Lauer <mickey@vanille-media.de>
To: ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>, 500626@bugs.debian.org
Subject: Re: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Tue, 30 Sep 2008 13:54:07 +0800
Am Montag, den 29.09.2008, 23:57 +0200 schrieb Luca Capello:
> FSO X (Xglamo or Xfbdev) is started with the following settings,,
> specified in /etc/X11/Xserver:96:
> 
>   ARGS="$ARGS -dpi 285 -screen 480x640 [...]" ;;
> 
> This means that the value we obtain after the first xrandr command is
> "correct".  However, I don't understand why it specifies 285 DPI.

Because that's the (one and only) correct value for the display on the
Neo GTA01 and GTA02.

:M:






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#500626; Package xorg. (Tue, 30 Sep 2008 10:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 30 Sep 2008 10:24:07 GMT) Full text and rfc822 format available.

Message #22 received at 500626@bugs.debian.org (full text, mbox):

From: Timo Juhani Lindfors <timo.lindfors@iki.fi>
To: Luca Capello <luca@pca.it>
Cc: ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>, 500626@bugs.debian.org
Subject: Re: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Tue, 30 Sep 2008 13:21:41 +0300
Luca Capello <luca@pca.it> writes:
> When have you launched xdpyinfo?  I discovered the following:

I didn't realize previous xrandr commands would have such an effect so
no, I don't remember which xrandr commands I used exactly before
running xdpyinfo.


> 1) at boot I get 75x75, fonts are a bit smaller, but still OK
>
> 2) `xrandr -s [0|1]` changes to 284x280, the same with `xrandr -o [0|2]`
>
> 3) `xranrd -o [1|3]` changes to 378x210
>
> 4) `xrandr -s [2|3]` changes to 142x140

I tried

xrandr -o 0
xdpyinfo
xrandr -o 3
xdpyinfo
xrandr -o 3
xdpyinfo
xrandr -s 3
xdpyinfo
xrandr -s 2
xdpyinfo

and then xglamo crashed. I can reproduce this crash every time (at
least with version 1.3.0.0+git20080807-3), can you? Also after crash
the display is not in the normal 480x640 mode which is also a bug.

> Then, I can go back to 75x75 anymore, i.e. `xrandr --dpi 75` doesn't
> have any effect.  Timo, do you have the same?

Yes, xrandr --dpi 75 does not change it anymore to 75x75.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#500626; Package xorg. (Tue, 30 Sep 2008 11:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 30 Sep 2008 11:33:03 GMT) Full text and rfc822 format available.

Message #27 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>
Cc: 500626@bugs.debian.org
Subject: Re: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Tue, 30 Sep 2008 13:31:33 +0200
[Message part 1 (text/plain, inline)]
Hi Michael!

On Tue, 30 Sep 2008 07:54:07 +0200, Michael 'Mickey' Lauer wrote:
> Am Montag, den 29.09.2008, 23:57 +0200 schrieb Luca Capello:
>> FSO X (Xglamo or Xfbdev) is started with the following settings,,
>> specified in /etc/X11/Xserver:96:
>> 
>>   ARGS="$ARGS -dpi 285 -screen 480x640 [...]" ;;
>> 
>> This means that the value we obtain after the first xrandr command is
>> "correct".  However, I don't understand why it specifies 285 DPI.
>
> Because that's the (one and only) correct value for the display on the
> Neo GTA01 and GTA02.

Thank you for the information, I should have looked for it [1].

This means two things for Debian:

1) we must specify the DPI value even with xserver-xorg.  However, since
   this is something specific to the Neo GTA01 and GTA02, I need to
   discover how to specify it *without* touching any configuration file
   provided by other packages (/etc/X11/xserver/ looks promising).

2) Debian Xglamo doesn't correctly manage the DPI value and thus the
   fonts (*this* is the bug)

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://wiki.openmoko.org/wiki/TPO_TD028TTEC1
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#500626; Package xorg. (Wed, 01 Oct 2008 22:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 01 Oct 2008 22:06:13 GMT) Full text and rfc822 format available.

Message #32 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>
Cc: 500626@bugs.debian.org
Subject: Re: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Thu, 02 Oct 2008 00:01:29 +0200
[Message part 1 (text/plain, inline)]
clone 500626 -1
retitle -1 xserver-xglamo: crashes after xrandr command
thanks

Hi Timo!

On Tue, 30 Sep 2008 12:21:41 +0200, Timo Juhani Lindfors wrote:
> I tried
>
> xrandr -o 0
> xdpyinfo
> xrandr -o 3
> xdpyinfo
> xrandr -o 3
> xdpyinfo
> xrandr -s 3
> xdpyinfo
> xrandr -s 2
> xdpyinfo
>
> and then xglamo crashed. I can reproduce this crash every time (at
> least with version 1.3.0.0+git20080807-3), can you?

No, are you sure the sequence above is correct?

Anyway, I cloned the original bug, since we've two bugs (big fonts and
crashes).  Please check the new bug number before replying ;-)

> Also after crash the display is not in the normal 480x640 mode which
> is also a bug.

I guess this is related to the crash above, thus I'd refrain to open
another bug until the above one is fixed.

> Yes, xrandr --dpi 75 does not change it anymore to 75x75.

I'm not really sure this is a bug, since I'm not at all a DPI expert.

BTW, do all these bugs also happens with FSO (or any other Openmoko
distribution) Xglamo?

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug 500626 cloned as bug 500844. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 01 Oct 2008 22:06:40 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#500626; Package xorg. (Wed, 01 Oct 2008 22:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 01 Oct 2008 22:21:03 GMT) Full text and rfc822 format available.

Message #39 received at 500626@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Luca Capello <luca@pca.it>, 500626@bugs.debian.org
Cc: ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>
Subject: Re: Bug#500626: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Thu, 2 Oct 2008 00:17:52 +0200
On Thu, Oct  2, 2008 at 00:01:29 +0200, Luca Capello wrote:

> clone 500626 -1
> retitle -1 xserver-xglamo: crashes after xrandr command
> thanks
> 
Hi,

Can you take these bugs off the xorg package?  They were filed against a
nonexistent package, then reassigned to xorg, and I don't know what's
the appropriate package here.

Thanks,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#500626; Package xorg. (Wed, 01 Oct 2008 22:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Debian X Strike Force <debian-x@lists.debian.org>:
Extra info received and forwarded to list. (Wed, 01 Oct 2008 22:57:02 GMT) Full text and rfc822 format available.

Message #44 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Martin Michlmayr <tbm@cyrius.com>
Cc: Debian X Strike Force <debian-x@lists.debian.org>, 500626@bugs.debian.org, ML smartphones-userland <smartphones-userland@lists.linuxtogo.org>
Subject: Re: Bug#500626: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Thu, 02 Oct 2008 00:52:17 +0200
[Message part 1 (text/plain, inline)]
Hi Martin!

Please don't reply to the bug itself nor to the smartphones-userland ML,
this issue has nothing to do with Xglamo.  Instead, reply to the XSF ML,
I set accordingly M-F-T and R-T.

On Thu, 02 Oct 2008 00:17:52 +0200, Julien Cristau wrote:
> On Thu, Oct  2, 2008 at 00:01:29 +0200, Luca Capello wrote:
>> clone 500626 -1
>> retitle -1 xserver-xglamo: crashes after xrandr command
>> thanks
>
> Can you take these bugs off the xorg package?  They were filed against a
> nonexistent package, then reassigned to xorg, and I don't know what's
> the appropriate package here.

Xglamo is the Openmoko kdrive server [1], maintained in Debian [2] by
the Debian FSO Team [3] and distributed in the unofficial team
repository [4].

Martin, please stop reassigning them and just leave them assigned to a
nonexistent package as for the other packages maintained by the Debian
FSO Team [5].  These packages are intended to be uploaded as soon as the
libraries dependencies will be satisfied.  That's why the Debian FSO
team decided to use the Debian infrastructure (including the BTS).

I'll reassigned them back to the xserver-xglamo package.

Thx, bye,
Gismo / Luca

Footnotes: 
[1] http://git.openmoko.org/?p=xglamo.git;a=summary
[2] http://git.debian.org/?p=pkg-fso/xglamo.git;a=summary
[3] http://wiki.debian.org/Teams/DebianFSO
[4] deb http://pkg-fso.alioth.debian.org/debian unstable main
[5] http://bugs.debian.org/cgi-bin/pkgreport.cgi?users=pkg-fso-maint@lists.alioth.debian.org
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `xorg' to `xserver-xglamo'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Wed, 01 Oct 2008 22:57:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Fri, 20 Feb 2009 01:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Fri, 20 Feb 2009 01:30:02 GMT) Full text and rfc822 format available.

Message #51 received at 500626@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 500626@bugs.debian.org, pkg-fso-maint@lists.alioth.debian.org
Subject: Re: Bug#500626: [Smartphones-userland] [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Fri, 20 Feb 2009 02:28:32 +0100
[Message part 1 (text/plain, inline)]
On Tue, 30 Sep 2008 13:31:33 +0200, Luca Capello wrote:

> >>   ARGS="$ARGS -dpi 285 -screen 480x640 [...]" ;;

> This means two things for Debian:
> 
> 1) we must specify the DPI value even with xserver-xorg.  However, since
>    this is something specific to the Neo GTA01 and GTA02, I need to
>    discover how to specify it *without* touching any configuration file
>    provided by other packages (/etc/X11/xserver/ looks promising).

Adding "-dpi 285 -screen 480x640" to X_OPTIONS in /etc/init.d/nodm
leads to - well, rather huge fonts and icons and everything :)
 
> 2) Debian Xglamo doesn't correctly manage the DPI value and thus the
>    fonts (*this* is the bug)

I found (via google) a workaround for the font issue:

# cat .Xresources 
Xft.dpi:      96

xdpyinfo still reports the interesting DPI values after "xrandr --rotate
left/normal" but afterwards the fonts at least still look normal.

Cheers,
gregor

-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Bob Dylan: I Shall Be Released
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Sun, 17 May 2009 21:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 17 May 2009 21:33:03 GMT) Full text and rfc822 format available.

Message #56 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: Timo Juhani Lindfors <timo.lindfors@iki.fi>
Cc: 500626@bugs.debian.org, gregor herrmann <gregoa@debian.org>, Enrico Zini <enrico@debian.org>, "ML Debian freesmartphone.org Team" <pkg-fso-maint@lists.alioth.debian.org>
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Sun, 17 May 2009 23:26:56 +0200
[Message part 1 (text/plain, inline)]
tags 500626 + upstream
forwarded 500626 http://thread.gmane.org/gmane.comp.handhelds.openmoko.framework/94
tags 500626 + wontfix
thanks

Hi Timo!

FYI, I re-discovered this bug because it is "present" in the
xserver-xorg-video-glamo package as well.

On Mon, 29 Sep 2008 22:29:43 +0200, Timo Juhani Lindfors wrote:
> With xserver-xglamo (and matchbox-window-manager) fonts in midori are
> very large. For example when I open the file menu the "quit" option is
> outside screen. xpdyinfo reports
>
> dimensions:    480x640 pixels (43x58 millimeters)
>   resolution:    284x280 dots per inch
>
> which is probably correct so maybe we need some GTK option to use
> smaller fonts?

Both the dimensions and resolution above are correct, see

  http://thread.gmane.org/gmane.comp.handhelds.openmoko.framework/94

> Under xserver-xorg-video-fbdev xpdyinfo reports
>
>   dimensions:    640x480 pixels (169x127 millimeters)
>   resolution:    96x96 dots per inch
>
> and the fonts look ok. I seem to be able to set this fake DPI value
> with xserver-xglamo by using
>
> -dpi 96
>
> in /etc/X11/xinit/xserverrc -- maybe that should be the default so
> that glamo would work consistently in the same way fbdev does?

While I would agree with you, this however is not upstream's view

  http://thread.gmane.org/gmane.comp.handhelds.openmoko.framework/94/focus=132

I should say that I share upstream's view here: the Xserver's detection
is correct, thus it is not Xserver's fault.  That is why I marked this
bug as wontfix.

There are various workaround:


1) DPI specified to xinit/startx, the one you suggested since the
   beginning

   This is the more general one and is valid for all users of a given
   device.  At the same time, however, it is not conceivable from a
   package POV, since it is nothing more than a workaround for other
   bugs not in the package itself.


2) fake Monitor section in /etc/X11/xorg.conf

     Section "Monitor"
         Identifier "Configured Monitor"
         DisplaySize 127 169 # 480x640 @ 96 DPI
     EndSection

   This because the dimensions in mm must be calculated for both
   dimensions according to the following formula:

     pixel x 25.4 / DPI

   The problem in this case is the same as with the first solution.


3) graphical toolkit-specific settings, which seems not to affect every
   application using the same toolkit, as Enrico Zini reported at

     http://thread.gmane.org/gmane.comp.hardware.smartphones.userland/1220

   For the reason above, I would discourage this option, moreover it
   must be set for each graphical toolkit used :-(


4) DPI specified in ~/.Xresources as Gregor Herrmann suggested at

     http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500626#51

   This seems the best one: it has the advantage of being transparent
   (since the Xserver keeps its own and auto-detected settings) and it
   is user-specific (thus even non-root users can activate it).


I guess the best option would be to add a note into README.Debian, what
do you (and the other people/list cc:ed) think?

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Tags added: upstream Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 17 May 2009 21:33:05 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://thread.gmane.org/gmane.comp.handhelds.openmoko.framework/94. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 17 May 2009 21:33:06 GMT) Full text and rfc822 format available.

Tags added: wontfix Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Sun, 17 May 2009 21:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Sun, 17 May 2009 23:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Enrico Zini <enrico@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Sun, 17 May 2009 23:03:05 GMT) Full text and rfc822 format available.

Message #67 received at 500626@bugs.debian.org (full text, mbox):

From: Enrico Zini <enrico@debian.org>
To: Luca Capello <luca@pca.it>
Cc: Timo Juhani Lindfors <timo.lindfors@iki.fi>, 500626@bugs.debian.org, gregor herrmann <gregoa@debian.org>, "ML Debian freesmartphone.org Team" <pkg-fso-maint@lists.alioth.debian.org>
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Mon, 18 May 2009 00:01:31 +0100
[Message part 1 (text/plain, inline)]
On Sun, May 17, 2009 at 11:26:56PM +0200, Luca Capello wrote:

> 4) DPI specified in ~/.Xresources as Gregor Herrmann suggested at
> 
>      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500626#51
> 
>    This seems the best one: it has the advantage of being transparent
>    (since the Xserver keeps its own and auto-detected settings) and it
>    is user-specific (thus even non-root users can activate it).
> 
> I guess the best option would be to add a note into README.Debian, what
> do you (and the other people/list cc:ed) think?

I like option 4. Indeed a note in README.Debian is good, and also
setting it in the installer script would be a very good idea.
Plus, maybe, documenting it as the "official fix" in
http://wiki.debian.org/DebianOnFreeRunnerTips


Ciao,

Enrico

-- 
GPG key: 4096R/E7AD5568 2009-05-08 Enrico Zini <enrico@enricozini.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Mon, 18 May 2009 15:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 18 May 2009 15:18:03 GMT) Full text and rfc822 format available.

Message #72 received at 500626@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 500626@bugs.debian.org
Cc: "ML Debian freesmartphone.org Team" <pkg-fso-maint@lists.alioth.debian.org>
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Mon, 18 May 2009 17:17:04 +0200
[Message part 1 (text/plain, inline)]
On Mon, 18 May 2009 00:01:31 +0100, Enrico Zini wrote:

> > 4) DPI specified in ~/.Xresources as Gregor Herrmann suggested at
> >      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500626#51
> I like option 4. 

Me too :)

But I seem to have problems with it since I switched from xglamo to
the new -glamo driver.

Here are the tests; between changing settings I always did
`/etc/init.d/nodm stop' and `/etc/init.d/nodm start'. (And once a
reboot. *sigh*)

1)
.Xresources: "Xft.dpi: 96" enabled
/etc/default/nodm: NODM_X_OPTIONS='vt3 -nolisten tcp -dpi 96'
==> works

2)
.Xresources: dpi enabled
NODM_X_OPTIONS: disabled
==> doesn't work, very tiny fonts in mb-desktop bar and
mb-applet-menu-launcher, but mb-desktop area and notifications are
normal. so maybe that's some weird matchbox problem?

3)
both disabled
==> huge fonts in mb-desktop area, and in notifications ... I guess
you all know that

4)
.Xresources: dpi disabled
NODM_X_OPTIONS: enabled
==> works

Summary:
Setting the dpi in ~/.Xresources _almost_ works ...

Cheers,
gregor
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Pink Floyd: Young Lust
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Mon, 18 May 2009 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 18 May 2009 16:42:02 GMT) Full text and rfc822 format available.

Message #77 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 500626@bugs.debian.org
Cc: "ML Debian freesmartphone.org Team" <pkg-fso-maint@lists.alioth.debian.org>
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Mon, 18 May 2009 18:38:23 +0200
[Message part 1 (text/plain, inline)]
clone 500626 -1
reassign -1 matchbox-panel
retitle -1 matchbox-panel: does not respect ~/.Xresources Xft.dpi settings
found -1 0.9.3-3
severity -1 important
user pkg-fso-maint@lists.alioth.debian.org
usertags -1 + config-glamo
thanks

Hi Gregor!

On Mon, 18 May 2009 17:17:04 +0200, gregor herrmann wrote:
> On Mon, 18 May 2009 00:01:31 +0100, Enrico Zini wrote:
>
>> > 4) DPI specified in ~/.Xresources as Gregor Herrmann suggested at
>> >      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500626#51
>> I like option 4. 
>
> Me too :)
>
> But I seem to have problems with it since I switched from xglamo to
> the new -glamo driver.

I would have wanted to have never read your mail ;-)

> Here are the tests; between changing settings I always did
> `/etc/init.d/nodm stop' and `/etc/init.d/nodm start'. (And once a
> reboot. *sigh*)

I also reboot sometime, just to be sure nothing is contaminated...

> .Xresources: "Xft.dpi: 96" enabled
> /etc/default/nodm: NODM_X_OPTIONS='vt3 -nolisten tcp -dpi 96'
> ==> works
> 2)
> .Xresources: dpi enabled
> NODM_X_OPTIONS: disabled
> ==> doesn't work, very tiny fonts in mb-desktop bar and
> mb-applet-menu-launcher, but mb-desktop area and notifications are
> normal. so maybe that's some weird matchbox problem?

I can reproduce it and I think it is indeed a matchbox-panel problem,
thus I cloned the bug and reassigned to matchbox-panel.  Before
replying, please check the new number!

Thx, bye,
Gismo / Luca

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: armel (armv4tl)

Kernel: Linux 2.6.28-20090105.git69b2aa26 (PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash

Versions of packages matchbox-panel depends on:
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  libgcc1                       1:4.4.0-4  GCC support library
ii  libiw29                       29-2       Wireless tools - library
ii  libmatchbox1                  1.9-4      shared library for Matchbox Projec
ii  libstartup-notification0      0.10-1     library for program launch feedbac
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  matchbox-common               0.9.1-3    common files for Matchbox Project 

Versions of packages matchbox-panel recommends:
pn  matchbox-panel-manager        <none>     (no description available)

matchbox-panel suggests no packages.

-- no debconf information
[Message part 2 (application/pgp-signature, inline)]

Bug 500626 cloned as bug 529321. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 18 May 2009 16:42:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xglamo. (Mon, 18 May 2009 17:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luca Capello <luca@pca.it>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 18 May 2009 17:00:06 GMT) Full text and rfc822 format available.

Message #84 received at 500626@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 500626@bugs.debian.org
Cc: "ML Debian freesmartphone.org Team" <pkg-fso-maint@lists.alioth.debian.org>
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Mon, 18 May 2009 18:57:23 +0200
[Message part 1 (text/plain, inline)]
reassign 500626 xserver-xorg-video-glamo
retitle 500626 xserver-xorg-video-glamo: big GTK+ fonts
found 500626 0.0.0+20090224.git703acea1-1
thanks

Hi there!

On Mon, 18 May 2009 17:17:04 +0200, gregor herrmann wrote:
> On Mon, 18 May 2009 00:01:31 +0100, Enrico Zini wrote:
>
>> > 4) DPI specified in ~/.Xresources as Gregor Herrmann suggested at
>> >      http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=500626#51
>> I like option 4. 
>
> Me too :)

Well, before your mail I wrote README.Debian (which I supposed it was
the last change before uploading to main):

  http://git.debian.org/?p=pkg-fso/xf86-video-glamo.git;a=commitdiff;h=db406ce26e5e178ac70106584a6e6f64743dba10

> But I seem to have problems with it since I switched from xglamo to
> the new -glamo driver.
[...]
> Summary:
> Setting the dpi in ~/.Xresources _almost_ works ...

Is matchbox-panel the only exception so far?  In this case, I would
consider this a "rare" problem and leave README.Debian like it is:
option 4 is the correct way IMHO, everyone can set it.

OTOH, if we already know other applications which does not behave
correctly with ~/.Xresources alone, then README.Debian must be changed
*before* uploading to main (something I would like to do ASAP, this is
the only showstopper so far).

>> and also setting it in the installer script would be a very good idea.
>>
>> Plus, maybe, documenting it as the "official fix" in
>> http://wiki.debian.org/DebianOnFreeRunnerTips

I guess it would be better to wait for the answer to the question above.

Thx, bye,
Gismo / Luca
[Message part 2 (application/pgp-signature, inline)]

Bug reassigned from package `xserver-xglamo' to `xserver-xorg-video-glamo'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 18 May 2009 17:00:09 GMT) Full text and rfc822 format available.

Changed Bug title to `xserver-xorg-video-glamo: big GTK+ fonts' from `xserver-xglamo: fonts are very large in e.g. midori'. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 18 May 2009 17:00:10 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.0.0+20090224.git703acea1-1. Request was from Luca Capello <luca@pca.it> to control@bugs.debian.org. (Mon, 18 May 2009 17:00:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xorg-video-glamo. (Mon, 18 May 2009 22:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Mon, 18 May 2009 22:39:08 GMT) Full text and rfc822 format available.

Message #95 received at 500626@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 500626@bugs.debian.org
Cc: "ML Debian freesmartphone.org Team" <pkg-fso-maint@lists.alioth.debian.org>
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Tue, 19 May 2009 00:08:34 +0200
[Message part 1 (text/plain, inline)]
On Mon, 18 May 2009 18:57:23 +0200, Luca Capello wrote:

> Well, before your mail I wrote README.Debian (which I supposed it was
> the last change before uploading to main):
>   http://git.debian.org/?p=pkg-fso/xf86-video-glamo.git;a=commitdiff;h=db406ce26e5e178ac70106584a6e6f64743dba10

Looks good to me, and I think the link to the bug report is helpful
so people also see other workarounds.
 
> > Summary:
> > Setting the dpi in ~/.Xresources _almost_ works ...
> Is matchbox-panel the only exception so far?  

I've seen it only in matchbox-desktop's title bar and in
mb-applet-menu-launcher, but I haven't done much testing of
applications.

> In this case, I would
> consider this a "rare" problem and leave README.Debian like it is:
> option 4 is the correct way IMHO, everyone can set it.

Agreed.
 
> OTOH, if we already know other applications which does not behave
> correctly with ~/.Xresources alone, then README.Debian must be changed
> *before* uploading to main (something I would like to do ASAP, this is
> the only showstopper so far).

Ack, maybe a short round of tests with only this setting would be
good.
 
Cheers,
gregor
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Carole King: Snow Queen
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xorg-video-glamo. (Wed, 20 May 2009 22:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Wed, 20 May 2009 22:39:04 GMT) Full text and rfc822 format available.

Message #100 received at 500626@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: pkg-fso-maint@lists.alioth.debian.org, 500626@bugs.debian.org
Cc: 500626@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Thu, 21 May 2009 00:32:22 +0200
[Message part 1 (text/plain, inline)]
On Tue, 19 May 2009 00:08:34 +0200, gregor herrmann wrote:

> > > Summary:
> > > Setting the dpi in ~/.Xresources _almost_ works ...
> > Is matchbox-panel the only exception so far?  
> I've seen it only in matchbox-desktop's title bar and in
> mb-applet-menu-launcher, but I haven't done much testing of
> applications.

Now I've started all other applications on my FR, and they all seem
to work with this setting. With some details:

* gpicview has tiny fonts in the titles of floating dialog boxes but
  they are useless anyway.
* midori works fine, but again floating dialog boxes
  (Edit->Preferences) have a tiny title.
* The same with epdfviewer.
* The same with mumpot.

So there seems to be a pattern - titles of floating/independent
dialog windows are tiny; in practice that's no problem but there
seems to be some underlying problem.
 
> > OTOH, if we already know other applications which does not behave
> > correctly with ~/.Xresources alone, then README.Debian must be changed
> > *before* uploading to main (something I would like to do ASAP, this is
> > the only showstopper so far).
> Ack, maybe a short round of tests with only this setting would be
> good.

From my point of view: go ahead, and sorry for delaying the progress
:)

Cheers,
gregor 
-- 
 .''`.   Home: http://info.comodo.priv.at/{,blog/} / GPG Key ID: 0x00F3CFE4
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    NP: Andrew Lloyd Webber & Tim Rice: King Herod's Song
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, unknown-package@qa.debian.org:
Bug#500626; Package xserver-xorg-video-glamo. (Thu, 21 May 2009 11:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to unknown-package@qa.debian.org. (Thu, 21 May 2009 11:30:07 GMT) Full text and rfc822 format available.

Message #105 received at 500626@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 500626@bugs.debian.org
Subject: Re: [pkg-fso-maint] Bug#500626: xserver-xglamo: fonts are very large in e.g. midori
Date: Thu, 21 May 2009 13:23:14 +0200
[Message part 1 (text/plain, inline)]
Hi,

Am Donnerstag, den 21.05.2009, 00:32 +0200 schrieb gregor herrmann:
> > > > Summary:
> > > > Setting the dpi in ~/.Xresources _almost_ works ...
> > > Is matchbox-panel the only exception so far?  
> > I've seen it only in matchbox-desktop's title bar and in
> > mb-applet-menu-launcher, but I haven't done much testing of
> > applications.
> 
> Now I've started all other applications on my FR, and they all seem
> to work with this setting. With some details:
> 
> * gpicview has tiny fonts in the titles of floating dialog boxes but
>   they are useless anyway.
> * midori works fine, but again floating dialog boxes
>   (Edit->Preferences) have a tiny title.
> * The same with epdfviewer.
> * The same with mumpot.
> 
> So there seems to be a pattern - titles of floating/independent
> dialog windows are tiny; in practice that's no problem but there
> seems to be some underlying problem.

Without seeing it myself, I assume that these titles are rendered by
matchbox-window-manager, which maybe uses fixed pixel-based sizes – just
as matchbox-panel. I assume this problem would then not occur with other
window managers.

Greetings,
Joachim

-- 
Joachim Breitner
  e-Mail: mail@joachim-breitner.de
  Homepage: http://www.joachim-breitner.de
  ICQ#: 74513189
  Jabber-ID: nomeata@joachim-breitner.de
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Mon, 25 May 2009 08:09:09 GMT) Full text and rfc822 format available.

Reply sent to Luca Capello <luca@pca.it>:
You have taken responsibility. (Sun, 31 May 2009 23:18:19 GMT) Full text and rfc822 format available.

Notification sent to Timo Juhani Lindfors <timo.lindfors@iki.fi>:
Bug acknowledged by developer. (Sun, 31 May 2009 23:18:19 GMT) Full text and rfc822 format available.

Message #112 received at 500626-close@bugs.debian.org (full text, mbox):

From: Luca Capello <luca@pca.it>
To: 500626-close@bugs.debian.org
Subject: Bug#500626: fixed in xf86-video-glamo 0.0.0+20090224.git703acea1-2
Date: Sun, 31 May 2009 22:45:39 +0000
Source: xf86-video-glamo
Source-Version: 0.0.0+20090224.git703acea1-2

We believe that the bug you reported is fixed in the latest version of
xf86-video-glamo, which is due to be installed in the Debian FTP archive:

xf86-video-glamo_0.0.0+20090224.git703acea1-2.diff.gz
  to pool/main/x/xf86-video-glamo/xf86-video-glamo_0.0.0+20090224.git703acea1-2.diff.gz
xf86-video-glamo_0.0.0+20090224.git703acea1-2.dsc
  to pool/main/x/xf86-video-glamo/xf86-video-glamo_0.0.0+20090224.git703acea1-2.dsc
xf86-video-glamo_0.0.0+20090224.git703acea1.orig.tar.gz
  to pool/main/x/xf86-video-glamo/xf86-video-glamo_0.0.0+20090224.git703acea1.orig.tar.gz
xserver-xorg-video-glamo_0.0.0+20090224.git703acea1-2_armel.deb
  to pool/main/x/xf86-video-glamo/xserver-xorg-video-glamo_0.0.0+20090224.git703acea1-2_armel.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 500626@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Luca Capello <luca@pca.it> (supplier of updated xf86-video-glamo package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 24 May 2009 21:22:00 +0200
Source: xf86-video-glamo
Binary: xserver-xorg-video-glamo
Architecture: source armel
Version: 0.0.0+20090224.git703acea1-2
Distribution: unstable
Urgency: low
Maintainer: Debian freesmartphone.org Team <pkg-fso-maint@lists.alioth.debian.org>
Changed-By: Luca Capello <luca@pca.it>
Description: 
 xserver-xorg-video-glamo - X.Org X server -- SMedia Glamo display driver
Closes: 500626 520955
Changes: 
 xf86-video-glamo (0.0.0+20090224.git703acea1-2) unstable; urgency=low
 .
   * Upload to unstable (Closes: #520955).
   * debian/control:
     + limit Architecture: to amd64, armel and i386.
     + fix capitalization for freesmartphone.org.
   * debian/copyright:
     + man/glamo.man comes from xf86-video-fbdev/man/fbdev.man.
     + src/glamo-driver.c comes from xf86-video-fbdev/src/fbdev.c,
       thanks to Cyril Brulebois <kibi@debian.org>.
   * debian/README.Debian:
     + document the workaround for big GTK+ fonts (Closes: #500626).
Checksums-Sha1: 
 c969cbb13c1ccb6e23e4437b0ce4ec50613a9edd 1731 xf86-video-glamo_0.0.0+20090224.git703acea1-2.dsc
 f2e4a1ba1f47686e202855a4ff31fe5a3817e14a 36187 xf86-video-glamo_0.0.0+20090224.git703acea1.orig.tar.gz
 19de92bac0fd58fa722cdd8f9aaf6af3c96f8375 15988 xf86-video-glamo_0.0.0+20090224.git703acea1-2.diff.gz
 9ee01676a9b1d2141c8740e9352fd071e83edc83 19424 xserver-xorg-video-glamo_0.0.0+20090224.git703acea1-2_armel.deb
Checksums-Sha256: 
 5ffedbff8fda3590650fbb75c438e6d041bbb6c12e6d93bf40746c9efd85480a 1731 xf86-video-glamo_0.0.0+20090224.git703acea1-2.dsc
 1d6c29bc238ace28b01146c40c06ac2e0436fa1230d3fc75dde4e20793976a62 36187 xf86-video-glamo_0.0.0+20090224.git703acea1.orig.tar.gz
 2d872444ddb95c125d4c51b9422344bb2fa108aa31971cbf457710fdddd11201 15988 xf86-video-glamo_0.0.0+20090224.git703acea1-2.diff.gz
 5ae687ec85140cf63a5fc93674b4d1206ba69d1f9b5612d097889a8de3f3d942 19424 xserver-xorg-video-glamo_0.0.0+20090224.git703acea1-2_armel.deb
Files: 
 566572d00a37e5798f0f39bf457c8088 1731 x11 optional xf86-video-glamo_0.0.0+20090224.git703acea1-2.dsc
 8ce8727de79a620c98c6597fea688a0d 36187 x11 optional xf86-video-glamo_0.0.0+20090224.git703acea1.orig.tar.gz
 b7befbdb173d6e10f298cef3017c48c4 15988 x11 optional xf86-video-glamo_0.0.0+20090224.git703acea1-2.diff.gz
 7a42656ab84d25cd04371d91fdb1fdce 19424 x11 optional xserver-xorg-video-glamo_0.0.0+20090224.git703acea1-2_armel.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iJwEAQECAAYFAkoZwkYACgkQZwOMsWhEDTP5UwP6A4Fw87CiYy37YCFlI88vPu2A
u2alSxA2WfP9uZtHhWKcKkPTkbWBKj8E40Brz35iP+qb26tsNfOxDLP1Z6mA8lCg
kSBSdMz9qXWVITmdcip9Rcw7OgPC5c5B4ecEOEN2SVvJajwNxNAqU7BCGUC4FKYi
7o3pVP5uAYUes8/DvzA=
=IwtU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 30 Jun 2009 07:28:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 05:06:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.